package cz.sa.shiftPlanner.dao;

import java.util.List;

import cz.sa.shiftPlanner.dto.NotificationLoadDTO;
import cz.sa.shiftPlanner.entities.NotificationVO;
import cz.sa.shiftPlanner.enums.NotifType;

public interface NotificationDAO {

  void create(NotificationVO note);

  void update(NotificationVO note);

  void remove(NotificationVO note);

  List<NotificationVO> findSelectedBy(NotificationLoadDTO load);

  boolean checkUnreaded();

}
