package cz.sa.shiftPlanner.dto;

import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.enums.NotifType;


public class NotificationDTO extends AbstractVO{

	private String text;
	
	private DateTime created;
	
	private PersonDTO person;
	
	private boolean isReaded;
	
	private NotifType notifType;
	

	public NotifType getNotifType() {
		return notifType;
	}

	public void setNotifType(NotifType notifType) {
		this.notifType = notifType;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public DateTime getCreated() {
		return created;
	}

	public void setCreated(DateTime created) {
		this.created = created;
	}

	public PersonDTO getPerson() {
		return person;
	}

	public void setPerson(PersonDTO person) {
		this.person = person;
	}

	public boolean isReaded() {
		return isReaded;
	}

	public void setReaded(boolean isReaded) {
		this.isReaded = isReaded;
	}
	

	
}
