package cz.sa.shiftPlanner.dto;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;

import cz.sa.shiftPlanner.entities.BusTimetableVO;
import cz.sa.shiftPlanner.entities.TimeCodeItemVO;
import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;

/**
 * @author ToSk
 */
public class TimeCodeDTO extends AbstractVO{
	
	private String description;
	
	private Integer mark;
	
	List<TimeCodeItemDTO> items = new ArrayList<TimeCodeItemDTO>();
	
	List<BusTimetableDTO> timetables = new ArrayList<BusTimetableDTO>();

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}


	public Integer getMark() {
		return mark;
	}

	public void setMark(Integer mark) {
		this.mark = mark;
	}

	public List<TimeCodeItemDTO> getItems() {
		return items;
	}

	public void setItems(List<TimeCodeItemDTO> items) {
		this.items = items;
	}

	public List<BusTimetableDTO> getTimetables() {
		return timetables;
	}

	public void setTimetables(List<BusTimetableDTO> timetables) {
		this.timetables = timetables;
	}

	
}


