package cz.sa.shiftPlanner.infrastructure;

import java.util.Properties;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;
import org.springframework.beans.factory.config.PropertyPlaceholderConfigurer;


public class PropertiesConfigurer extends PropertyPlaceholderConfigurer {

  private Properties properties;

  @Override
  protected void processProperties(ConfigurableListableBeanFactory beanFactoryToProcess, Properties props) throws BeansException {
    super.processProperties(beanFactoryToProcess, props);
    this.properties = props;
  }

  public String getProperty(String key) {
    return properties.getProperty(key);
  }

}
