package cz.sa.shiftPlanner.services;

import java.util.List;

import org.joda.time.DateTime;

import cz.sa.shiftPlanner.dto.BusTurnsTimetableDTO;
import cz.sa.shiftPlanner.dto.PersonDTO;
import cz.sa.shiftPlanner.dto.RuleDTO;
import cz.sa.shiftPlanner.enums.WeekDay;


public interface RuleService {


	void create(RuleDTO rule);
	
	RuleDTO create(BusTurnsTimetableDTO busT, int week, PersonDTO per);

	void update(RuleDTO rule);

	void remove(RuleDTO rule);
	
	public List<RuleDTO> findByWeekAndDay(WeekDay day, Integer week, DateTime validity);
	
	public RuleDTO findByWeekAndTurn(BusTurnsTimetableDTO turn, Integer week);

	void createAll(List<BusTurnsTimetableDTO> object, Integer week, PersonDTO object2);
}
