package cz.sa.shiftPlanner.utils;

import java.util.Comparator;
import java.util.List;

import cz.sa.shiftPlanner.dto.BusConnectionDTO;
import cz.sa.shiftPlanner.servicesImpl.BusConnectionServiceImpl;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   21. 9. 2013
 */

/**
 * Radi abecedne podle vyjezdniho mesta na pozici jedna -> zakomentovano
 * Pokud jsou vyjezdni mesta stejna, pak radi podle casu odjezdu 
 * <p>
 * Momentalne je pouzito druhe razeni na jinem miste ({@link BusConnectionServiceImpl}), 
 * ktere se stara o mesta. Dochazelo by k duplicitnimu porovnavani mest coz zbytecne zpomaluje
 */
public class BusConnectionListComparator implements Comparator<List<BusConnectionDTO>> {

  @Override
  public int compare(List<BusConnectionDTO> o1, List<BusConnectionDTO> o2) {
//    int nameCompare = o1.get(0).getTimetable().getDepartureStation().getCity().getCityName().compareToIgnoreCase(o2.get(0).getTimetable().getDepartureStation().getCity().getCityName());
//    nameCompare = o1.get(0).getTimetable().getArrivalStation().getCity().getCityName().compareToIgnoreCase(o2.get(0).getTimetable().getArrivalStation().getCity().getCityName());
//    if(nameCompare != 0){
//      return nameCompare;
//    }else{
     return Long.valueOf(o1.get(0).getDepartureTime().getMillis()).compareTo(Long.valueOf(o2.get(0).getDepartureTime().getMillis()));
//    }
  }

}
