package cz.sa.shiftPlanner.utils;

import java.io.Serializable;

import com.ibm.icu.util.SimpleHoliday;

public class MySimpleHoliday extends SimpleHoliday implements Serializable{

	private static int month;
	private static int dayOfMonth;
	private static String name;
	
	
	public MySimpleHoliday(int month, int dayOfMonth, String name) {
		super(month, dayOfMonth, name);
		this.dayOfMonth=dayOfMonth;
		this.month=month;
		this.name=name;
	}

	@Override
	public String toString() {
		return  month+1 + ", " + dayOfMonth
				+ ": " + name ;
	}

	/*
	 *Don't use it it is only for compilator, because of serialization uknown parameters in my constructor is not feasible
	 */
	public MySimpleHoliday(){
		super(month, dayOfMonth, name);
	}
}
