package cz.sa.shiftPlanner.web;

import org.apache.wicket.Application;
import org.apache.wicket.authroles.authentication.AuthenticatedWebSession;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.util.string.StringValue;
import org.springframework.util.StringUtils;

import cz.sa.shiftPlanner.web.auth.PlannerSession;


/**
 * @author ToSk
 */

public class AutoLoginPage extends WebPage {

  public AutoLoginPage(PageParameters pageParameters) {
    setStatelessHint(true);

    // try autologin
    StringValue autoLogin = pageParameters.get("autologin");
    if ( autoLogin != null && StringUtils.hasText(autoLogin.toString())) {
    	AuthenticatedWebSession.get().signIn(autoLogin.toString(), "admin");
    }

    // presmerujeme na homepage
    setResponsePage(MenuPage.class);

  }

}
