package cz.sa.shiftPlanner.dto;

import java.util.List;
import java.util.Set;

import javax.persistence.Column;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.BusTurnsTimetableVO;
import cz.sa.shiftPlanner.entities.SymbolVO;
import cz.sa.shiftPlanner.entities.TimeCodeVO;
import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.enums.WeekDay;

public class BusTimetableDTO extends AbstractVO{

	private StationDTO arrivalStation;
	
	private StationDTO departureStation;
	
	private LineGroupDTO line;

	private DateTime arrivalTime;
	
	private DateTime departureTime;

	private List<SymbolVO> symbols;
	
	private Integer number;
	
	private DateTime validity_from;

	private DateTime validity_to;
	
	private TimeCodeDTO timeCode;
	
	private List<BusTurnsTimetableDTO> turns;
	
	public TimeCodeDTO getTimeCode() {
		return timeCode;
	}

	public void setTimeCode(TimeCodeDTO timeCode) {
		this.timeCode = timeCode;
	}

	public DateTime getValidity_from() {
		return validity_from;
	}

	public void setValidity_from(DateTime validity_from) {
		this.validity_from = validity_from;
	}

	public DateTime getValidity_to() {
		return validity_to;
	}

	public void setValidity_to(DateTime validity_to) {
		this.validity_to = validity_to;
	}

	
	public List<BusTurnsTimetableDTO> getTurns() {
		return turns;
	}

	public void setTurns(List<BusTurnsTimetableDTO> turns) {
		this.turns = turns;
	}


	public StationDTO getArrivalStation() {
    return arrivalStation;
  }

  public void setArrivalStation(StationDTO arrivalStation) {
    this.arrivalStation = arrivalStation;
  }

  public StationDTO getDepartureStation() {
    return departureStation;
  }

  public void setDepartureStation(StationDTO departureStation) {
    this.departureStation = departureStation;
  }

  public LineGroupDTO getLine() {
		return line;
	}

	public void setLine(LineGroupDTO line) {
		this.line = line;
	}

	public DateTime getArrivalTime() {
		return arrivalTime;
	}

	public void setArrivalTime(DateTime arrivalTime) {
		this.arrivalTime = arrivalTime;
	}

	public DateTime getDepartureTime() {
		return departureTime;
	}

	public void setDepartureTime(DateTime departureTime) {
		this.departureTime = departureTime;
	}

	public List<SymbolVO> getSymbols() {
		return symbols;
	}

	public void setSymbols(List<SymbolVO> symbols) {
		this.symbols = symbols;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}


}
