package cz.sa.shiftPlanner.dto;

import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.PersonVO;
import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.utils.DateFormatter;

/**
 * @author ToSk
 */

public class TimeTrialDTO extends AbstractVO {

	private PersonDTO person;
	
	private DateTime from_;

	private DateTime to_;
	
	private String note;

	public PersonDTO getPerson() {
		return person;
	}

	public void setPerson(PersonDTO person) {
		this.person = person;
	}

	public DateTime getFrom_() {
		return from_;
	}

	public void setFrom_(DateTime from_) {
		this.from_ = from_;
	}

	public DateTime getTo_() {
		return to_;
	}

	public void setTo_(DateTime to_) {
		this.to_ = to_;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	@Override
	public String toString() {
		return person.toString() + "...."+ DateFormatter.toDateAndTime(from_) + " - " + DateFormatter.toDateAndTime(to_) + "...."+ note;
	}

	
}


