package cz.sa.shiftPlanner.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;


@Entity
@Table(name = "way_audit")
public class WayVOAudit extends Way {

	
	@ManyToOne(cascade = CascadeType.DETACH)
  private ExcuseVO excuse;
	
	@ManyToOne(cascade = CascadeType.DETACH)
  private BusConnectionVO connection;


  public BusConnectionVO getConnection() {
    return connection;
  }

  public void setConnection(BusConnectionVO connection) {
    this.connection = connection;
  }

  public ExcuseVO getExcuse() {
    return excuse;
  }

  public void setExcuse(ExcuseVO excuse) {
    this.excuse = excuse;
  }

}
