package cz.sa.shiftPlanner.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;

/**
 * @author ToSk
 */

@Entity
@Table(name="work_hours_item")
public class WorkHoursItemVO extends AbstractVO{

	@Column
	private int dayOfMonth;
	
	@Column
	private int day_amount;
	
	@ManyToOne
	private WorkHoursVO workHours;



	public int getDayOfMonth() {
		return dayOfMonth;
	}

	public void setDayOfMonth(int dayOfMonth) {
		this.dayOfMonth = dayOfMonth;
	}

	public int getDay_amount() {
		return day_amount;
	}

	public void setDay_amount(int day_amount) {
		this.day_amount = day_amount;
	}

	public WorkHoursVO getWorkHours() {
		return workHours;
	}

	public void setWorkHours(WorkHoursVO workHours) {
		this.workHours = workHours;
	}
	
	
}


