package cz.sa.shiftPlanner.services;

import java.util.List;

import cz.sa.shiftPlanner.dto.LineGroupDTO;
import cz.sa.shiftPlanner.entities.infrastructure.UserDTO;

public interface LineGroupService {

  LineGroupDTO get(Long id);

  void create(LineGroupDTO line);

  void update(LineGroupDTO line);

  void remove(LineGroupDTO line);

  List<LineGroupDTO> findAll();

  List<LineGroupDTO> findByPerson(UserDTO loggedUser);

  List<LineGroupDTO> getCroppedList();
}
