package cz.sa.shiftPlanner.utils;

import java.util.Comparator;
import java.util.List;

import cz.sa.shiftPlanner.dto.BusConnectionDTO;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   21. 9. 2013
 */

public class BusConnectionComparator implements Comparator<BusConnectionDTO> {

  @Override
  public int compare(BusConnectionDTO o1, BusConnectionDTO o2) {
    int nameCompare = o1.getTimetable().getDepartureStation().getCity().getCityName().compareToIgnoreCase(o2.getTimetable().getDepartureStation().getCity().getCityName());
    if(nameCompare != 0){
      return nameCompare;
    }else{
     return Long.valueOf(o1.getDepartureTime().getMillis()).compareTo(Long.valueOf(o2.getDepartureTime().getMillis()));
    }
  }

}
