package cz.sa.shiftPlanner.utils;

import java.util.Comparator;
import java.util.List;

import cz.sa.shiftPlanner.dto.BusTurnsTimetableDTO;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   21. 9. 2013
 */

public class BusTurnsTimetableListComparator implements Comparator<List<BusTurnsTimetableDTO>> {

  @Override
  public int compare(List<BusTurnsTimetableDTO> o1, List<BusTurnsTimetableDTO> o2) {
    int nameCompare = o1.get(0).getTimetable().getDepartureStation().getCity().getCityName().compareToIgnoreCase(o2.get(0).getTimetable().getDepartureStation().getCity().getCityName());
    if(nameCompare != 0){
      return nameCompare;
    }else{
      return Long.valueOf(o1.get(0).getTimetable().getDepartureTime().getMillis()).compareTo(Long.valueOf(o2.get(0).getTimetable().getDepartureTime().getMillis()));
    }
  }

}
