package cz.sa.shiftPlanner.pcomponent;

import org.apache.wicket.Component;
import org.apache.wicket.feedback.FeedbackMessage;
import org.apache.wicket.markup.html.panel.FeedbackPanel;

/**
 * Rozhrani urcene pro vytvareni komponent zobrazujicich dane feedbackMessages.
 * @see PAbstractFeedbackPanel
 */
public interface IFeedbackMesssageComponentCreator {

  /**
   * @param id Vracena komponenta musi mit toto ID.
   * @param message Zprava k vyrenderovani.
   * @param feedbackPanel Vramci tohoto panelu ma byt zprava vyrenderovana.
   * @return Vytvorena komponenta.
   */
  public Component newMessageDisplayComponent(String id, FeedbackMessage message, FeedbackPanel feedbackPanel);
  
}
