package cz.sa.shiftPlanner.pcomponent;

import javax.annotation.Nullable;

import org.apache.wicket.MarkupContainer;
import org.apache.wicket.extensions.ajax.markup.html.modal.ModalWindow;
import org.apache.wicket.feedback.FeedbackMessage;


public class PFeedbackPanel extends PAbstractFeedbackPanel {

  public PFeedbackPanel(String id) {
    super(id);
  }

  public PFeedbackPanel(String id, @Nullable IFeedbackMesssageComponentCreator feedbackMesssageComponentCreator) {
    super(id, feedbackMesssageComponentCreator);
  }
  
  public boolean accept(FeedbackMessage message) {
    if (message.getReporter() == null) {
      return true;
    }

    MarkupContainer reporterWindow = message.getReporter().findParent(ModalWindow.class);
    MarkupContainer parentWindow = this.findParent(ModalWindow.class);
    return reporterWindow == parentWindow;
  }

}
