package cz.sa.shiftPlanner.web.panels;

import org.apache.wicket.markup.head.CssHeaderItem;
import org.apache.wicket.markup.head.IHeaderResponse;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.resource.CssResourceReference;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   9. 10. 2013
 */

public abstract class PAbstractPanel extends Panel {

  public PAbstractPanel(String id, IModel<?> model) {
    super(id, model);
  }

  public PAbstractPanel(String id) {
    super(id);
  }

  @Override
  public void renderHead(IHeaderResponse response) {
    super.renderHead(response);
    response.render(CssHeaderItem.forReference(new CssResourceReference(PAbstractPanel.class, "panelStyle.css")));
  }
}
